@mixin tooltip-configs {
  align-items: flex-start;
  background: var(--info);
  border-radius: 4px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
  color: var(--pure-0);
  display: flex !important;
  flex-wrap: wrap;
  font-size: var(--font-size-scale-down-01);
  font-weight: var(--font-weight-medium);
  justify-content: flex-start;
  max-width: 240px;
  opacity: 0;
  padding: var(--spacing-scale-2x);
  position: absolute !important;
  visibility: hidden;
  z-index: 999;

  @keyframes fadeInOpacity {
    0% {
      opacity: 0;
    }

    100% {
      opacity: 1;
    }
  }

  @keyframes fadeOutOpacity {
    0% {
      opacity: 1;
    }

    100% {
      opacity: 0;
    }
  }

  &[data-show] {
    animation: fadeInOpacity ease-in-out 0.5s;
    opacity: 1;
    visibility: visible;
  }

  &[popover] {
    max-width: 320px;
    min-width: 240px;
    width: auto;
  }

  &[success] {
    background: var(--success);

    .arrow {
      border-color: var(--success);
    }
  }

  &[error] {
    background: var(--danger);

    .arrow {
      border-color: var(--danger);
    }
  }

  &[warning] {
    background: var(--warning);
    color: var(--gray-80);

    .arrow {
      border-color: var(--warning);
    }
  }

  &[info],
  & {
    background: var(--info);

    .arrow {
      border-color: var(--info);
    }
  }

  .arrow {
    height: 0 !important;
    position: absolute !important;
    width: 0 !important;
    z-index: -1 !important;
  }

  &[data-popper-placement^="top"] > .arrow {
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top-style: solid;
    border-top-width: 8px;
    bottom: -7px;
    margin-left: 0;
  }

  &[data-popper-placement^="bottom"] > .arrow {
    border-bottom-style: solid;
    border-bottom-width: 8px;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    margin-left: 0;
    top: -8px;
  }

  &[data-popper-placement^="left"] > .arrow {
    border-bottom: 8px solid transparent;
    border-left-style: solid;
    border-left-width: 8px;
    border-top: 8px solid transparent;
    margin-top: calc(#{var(--spacing-scale-base)} * -1);
    right: calc(#{var(--spacing-scale-base)} * -1);
  }

  &[data-popper-placement^="right"] > .arrow {
    border-bottom: 8px solid transparent;
    border-right-style: solid;
    border-right-width: 8px;
    border-top: 8px solid transparent;
    left: calc(#{var(--spacing-scale-base)} * -1);
    margin-top: calc(#{var(--spacing-scale-base)} * -1);
  }

  .text,
  .subtext,
  .link {
    display: block;
    max-width: 100%;
    min-width: 0;
  }

  .popover-header {
    font-size: var(--font-size-scale-base);
    margin-bottom: 1em;
    min-width: 180px;
    text-align: center;
    width: 100%;

    .fas,
    .svg-inline--fa {
      font-size: var(--font-size-scale-up-06);
      text-align: center;
    }
  }

  .popover-image {
    border: 3px solid var(--pure-0);
    height: auto;
    margin-left: -10px;
    max-height: 120px;
    max-width: 45%;
    overflow: hidden;
    width: auto;
  }

  .popover-icon {
    height: auto;
    margin-left: -10px;
    margin-top: 10%;
    max-height: 120px;
    max-width: 45%;
    overflow: hidden;
    width: auto;
  }

  .popover-body {
    font-size: var(--font-size-scale-down-01);
    margin-bottom: 1em;
    min-width: 180px;
    width: 100%;
  }

  .popover-image + div {
    align-items: flex-start;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    text-align: left;
    width: 65%;

    div {
      padding-left: var(--spacing-scale-base);
      text-align: left;
    }
  }

  .popover-icon + div {
    align-items: flex-start;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    text-align: left;
    width: 65%;

    div {
      padding-left: var(--spacing-scale-base);
      text-align: left;
    }
  }

  .popover-footer {
    font-size: var(--font-size-scale-down-01);
    min-width: 180px;
    text-align: center;
    width: 100%;
  }

  .text {
    font-size: var(--font-size-scale-base);
    font-weight: var(--font-weight-semi-bold);
  }

  .subtext {
    font-size: var(--font-size-scale-down-01);
    font-weight: var(--font-weight-medium);
  }

  .link {
    color: inherit;
    text-align: right;
    text-decoration: underline;
    width: 100%;
  }

  .close {
    background: transparent;
    border: 0;
    color: inherit;
    cursor: pointer;
    margin: 0;
    padding: 0;
    position: absolute;
    right: 10px;
    top: 10px;
  }
}
